ICU 76.1: U_HEADER_ONLY_NAMESPACE::USetRangeIterator Class Reference

ICU 76.1 76.1

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetRangeIterator Class Reference

Iterator returned by USetRanges. More...

`#include <uset.h>`

## Public Member Functions
| USetRangeIterator (const USetRangeIterator &other)=default
bool | operator== (const USetRangeIterator &other) const
bool | operator!= (const USetRangeIterator &other) const
CodePointRange | operator* () const
USetRangeIterator & | operator++ ()
| Pre-increment.
USetRangeIterator | operator++ (int)
| Post-increment.

## Friends
class | USetRanges

## Detailed Description

Iterator returned by USetRanges.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1524 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetRangeIterator()

U_HEADER_ONLY_NAMESPACE::USetRangeIterator::USetRangeIterator | ( | const USetRangeIterator & | other | ) |
| default

Draft
  This API may be changed in the future versions and was introduced in ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator!= | ( | const USetRangeIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1539 of file uset.h.

References operator==().

## ◆ operator*()

CodePointRange U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator* | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1542 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, and uset_getItem().

## ◆ operator++() [1/2]

USetRangeIterator & U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1558 of file uset.h.

## ◆ operator++() [2/2]

USetRangeIterator U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1567 of file uset.h.

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetRangeIterator::operator== | ( | const USetRangeIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1530 of file uset.h.

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ USetRanges

friend class USetRanges
| friend

Definition at line 1574 of file uset.h.

The documentation for this class was generated from the following file:

- common/unicode/uset.h